Subject: Re: [bug#76339] [PATCH core-updates-team 0/4] Update libde265 and remove dependency on qtbase-5.

From: Maxim Cournoyer <[email-masked]>
Date: Tue, 18 Feb 2025 15:53:40 +0900

Hi Leo,

Leo Famulari <[email-masked]> writes:

> On Sun, Feb 16, 2025 at 05:21:21PM +0100, Nicolas Graves via Guix-patches via wrote:
>> On 2025-02-16 14:56, Vinicius Monego wrote:
>> 
>> > This series updates and removes the unused inputs of qtbase-5 on
>> > libde265. Removing this input would clear a transitive dependency of
>> > 400+ packages on qtbase-5, so I am sending this to core-updates-team
>> > but it could be pushed to master if wanted.
>> 
>> Hi Vinicius,
>> 
>> I made a similar commit in 74517 that should be (haven't checked)
>> applied in the gnome-team branch.
>
> Okay Nicolas, gnome-team sounds fine to me.
>
> Vinicius, we are no longer using a core-updates branch, and I don't
> there is no core-updates-team. See here for the new workflow:
>
> https://guix.gnu.org/manual/devel/en/html_node/Managing-Patches-and-Branches.html
>
> There is a 'core-packages' team, but that's for packages that are truly
> at the root of the dependency graph:
>
> https://git.savannah.gnu.org/cgit/guix.git/tree/etc/teams.scm?id=e4b54095cbe377ea526719b3d5dcc619e111aa2a#n490
>
> Maybe we should make a 'media' team that would handle things like video
> codecs, as they tend to trigger a lot of rebuilds these days, and they
> don't really fit anywhere else.

I think Nicolas knows that given their subject prefix is
'core-updates-TEAM', and using it simply as a hint that this causes a
large rebuild.  We don't have this documented yet, but it makes sense to
communicate this information to help avoiding inadvertently merging
large changes to the main branch.

-- 
Thanks,
Maxim